/*
 * FreeAdhocUDF - copyright (c) 2004 - 2006 adhoc dataservice GmbH
 * Christoph Theuring / Peter Mandrella / Georg Horn
 * based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 * File Name:	uuid_functions.h
 * Description: This header contains the prototype definitions for uuid_functions.c
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
*****************************************************************/

int check_uuidcompr(char *uuidcompr);
int check_uuid(char *uuid);
char *uuid1mac();
char *uuid1maccompr();
char *uuid1rand();
char *uuid1randcompr();
char *uuid4compr();
char *uuid4();
char *compressuuid(char *uuid);
char *expanduuidcompr(char *uuidcompr);
ISC_QUAD *uuid1comprtimestamp(char *uuidcompr);
ISC_QUAD *uuid1timestamp(char *uuid);
char *uuid1maccomprmac(char *uuidcompr);
char *uuid1macmac(char *uuid);
char *uuidversion(char *uuid);
